﻿CREATE TABLE [dbo].[StaginTrend] (
    [RowNo]                         INT              NOT NULL,
    [Id]                            UNIQUEIDENTIFIER NOT NULL,
    [ImportId]                      UNIQUEIDENTIFIER NULL,
    [Project]                       NVARCHAR (255)   NULL,
    [TrendName]                     VARCHAR (950)    NULL,
    [Description]                   NVARCHAR (255)   NULL,
    [TrendStatus]                   NVARCHAR (255)   NULL,
    [Importance]                    NVARCHAR (255)   NULL,
    [ImpactDirection]               NVARCHAR (255)   NULL,
    [TrendValue]                    NVARCHAR (255)   NULL,
    [Category]                      NVARCHAR (255)   NULL,
    [CompanyGroup]                  NVARCHAR (MAX)   NULL,
    [CompanyGroupImpact]            NVARCHAR (MAX)   NULL,
    [CompanyGroupEndUser]           NVARCHAR (MAX)   NULL,
    [Company]                       NVARCHAR (MAX)   NULL,
    [Country]                       NVARCHAR (MAX)   NULL,
    [CountryImpact]                 NVARCHAR (MAX)   NULL,
    [CountryEndUser]                NVARCHAR (MAX)   NULL,
    [EcoSystem]                     NVARCHAR (MAX)   NULL,
    [EcoSystemSubSegment]           NVARCHAR (MAX)   NULL,
    [EcoSystemImpact]               NVARCHAR (MAX)   NULL,
    [EcoSystemEndUser]              NVARCHAR (MAX)   NULL,
    [TrendKeyWord]                  NVARCHAR (MAX)   NULL,
    [Industry]                      NVARCHAR (MAX)   NULL,
    [IndustryImpact]                NVARCHAR (MAX)   NULL,
    [IndustryEndUser]               NVARCHAR (MAX)   NULL,
    [Market]                        NVARCHAR (MAX)   NULL,
    [Region]                        NVARCHAR (MAX)   NULL,
    [RegionImpact]                  NVARCHAR (MAX)   NULL,
    [RegionEndUser]                 NVARCHAR (MAX)   NULL,
    [MarketImpact]                  NVARCHAR (MAX)   NULL,
    [MarketEndUser]                 NVARCHAR (MAX)   NULL,
    [Project1]                      NVARCHAR (MAX)   NULL,
    [ProjectImpact]                 NVARCHAR (MAX)   NULL,
    [ProjectEndUser]                NVARCHAR (MAX)   NULL,
    [StrengthtType]                 NVARCHAR (255)   NULL,
    [StrengthDescription]           NVARCHAR (255)   NULL,
    [WeaknessType]                  NVARCHAR (255)   NULL,
    [WeaknessDescription]           NVARCHAR (255)   NULL,
    [OpportunityType]               NVARCHAR (255)   NULL,
    [OpportunityDescription]        NVARCHAR (255)   NULL,
    [ThreatType]                    NVARCHAR (255)   NULL,
    [ThreatDescription]             NVARCHAR (255)   NULL,
    [TimeTag]                       NVARCHAR (MAX)   NULL,
    [TimeTagImpact]                 NVARCHAR (MAX)   NULL,
    [TimeTagEndUser]                NVARCHAR (MAX)   NULL,
    [ValueConversion]               NVARCHAR (255)   NULL,
    [Rationale_2018]                NVARCHAR (255)   NULL,
    [Value_2018]                    NVARCHAR (255)   NULL,
    [Rationale_2019]                NVARCHAR (255)   NULL,
    [Value_2019]                    NVARCHAR (255)   NULL,
    [Rationale_2020]                NVARCHAR (255)   NULL,
    [Value_2020]                    NVARCHAR (255)   NULL,
    [Rationale_2021]                NVARCHAR (255)   NULL,
    [Value_2021]                    NVARCHAR (255)   NULL,
    [Rationale_2022]                NVARCHAR (255)   NULL,
    [Value_2022]                    NVARCHAR (255)   NULL,
    [Rationale_2023]                NVARCHAR (255)   NULL,
    [Value_2023]                    NVARCHAR (255)   NULL,
    [Rationale_2024]                NVARCHAR (255)   NULL,
    [Value_2024]                    NVARCHAR (255)   NULL,
    [Rationale_2025]                NVARCHAR (255)   NULL,
    [Value_2025]                    NVARCHAR (255)   NULL,
    [Rationale_2026]                NVARCHAR (255)   NULL,
    [Value_2026]                    NVARCHAR (255)   NULL,
    [Rationale_2027]                NVARCHAR (255)   NULL,
    [Value_2027]                    NVARCHAR (255)   NULL,
    [Rationale_2028]                NVARCHAR (255)   NULL,
    [Value_2028]                    NVARCHAR (255)   NULL,
    [Rationale_2029]                NVARCHAR (255)   NULL,
    [Value_2029]                    NVARCHAR (255)   NULL,
    [Rationale_2030]                NVARCHAR (255)   NULL,
    [Value_2030]                    NVARCHAR (255)   NULL,
    [Rationale_2031]                NVARCHAR (255)   NULL,
    [Value_2031]                    NVARCHAR (255)   NULL,
    [Rationale_2032]                NVARCHAR (255)   NULL,
    [Value_2032]                    NVARCHAR (255)   NULL,
    [CompanyGroup_ApproverRemark]   NVARCHAR (MAX)   NULL,
    [CompanyGroup_AuthorRemark]     NVARCHAR (MAX)   NULL,
    [CompanyGroup_TrendStatus]      NVARCHAR (255)   NULL,
    [EcoSystem_ApproverRemark]      NVARCHAR (MAX)   NULL,
    [EcoSystem_AuthorRemark]        NVARCHAR (MAX)   NULL,
    [EcoSystem_TrendStatus]         NVARCHAR (255)   NULL,
    [Industry_ApproverRemark]       NVARCHAR (MAX)   NULL,
    [Industry_AuthorRemark]         NVARCHAR (MAX)   NULL,
    [Industry_TrendStatus]          NVARCHAR (MAX)   NULL,
    [KeyCompany_ApproverRemark]     NVARCHAR (MAX)   NULL,
    [KeyCompany_AuthorRemark]       NVARCHAR (MAX)   NULL,
    [KeyCompany_TrendStatus]        NVARCHAR (255)   NULL,
    [keyword_ApproverRemark]        NVARCHAR (MAX)   NULL,
    [keyword_AuthorRemark]          NVARCHAR (MAX)   NULL,
    [keyword_TrendStatus]           NVARCHAR (255)   NULL,
    [Market_ApproverRemark]         NVARCHAR (MAX)   NULL,
    [Market_AuthorRemark]           NVARCHAR (MAX)   NULL,
    [Market_TrendStatus]            NVARCHAR (255)   NULL,
    [Project_ApproverRemark]        NVARCHAR (MAX)   NULL,
    [Project_AuthorRemark]          NVARCHAR (MAX)   NULL,
    [Project_TrendStatus]           NVARCHAR (255)   NULL,
    [Region_ApproverRemark]         NVARCHAR (MAX)   NULL,
    [Region_AuthorRemark]           NVARCHAR (MAX)   NULL,
    [Region_TrendStatus]            NVARCHAR (255)   NULL,
    [TimeTag_ApproverRemark]        NVARCHAR (MAX)   NULL,
    [TimeTag_AuthorRemark]          NVARCHAR (MAX)   NULL,
    [TimeTag_TrendStatus]           NVARCHAR (255)   NULL,
    [Value_ApproverRemark]          NVARCHAR (MAX)   NULL,
    [Value_AuthorRemark]            NVARCHAR (MAX)   NULL,
    [Value_TrendStatus]             NVARCHAR (255)   NULL,
    [ErrorNotesKeyword]             NVARCHAR (MAX)   NULL,
    [ErrorNotesIndustry]            NVARCHAR (MAX)   NULL,
    [ErrorNotesMarket]              NVARCHAR (MAX)   NULL,
    [ErrorNotesProject]             NVARCHAR (MAX)   NULL,
    [ErrorNotesCompanyGroup]        NVARCHAR (MAX)   NULL,
    [ErrorNotesTimeTag]             NVARCHAR (MAX)   NULL,
    [ErrorNotesEcoSystem]           NVARCHAR (MAX)   NULL,
    [ErrorNotesEcoSystemSubSegemnt] NVARCHAR (MAX)   NULL,
    [ErrorNotesKeyCompany]          NVARCHAR (MAX)   NULL,
    [ErrorNotesProject1]            NVARCHAR (MAX)   NULL,
    [ErrorNotesRegion]              NVARCHAR (MAX)   NULL,
    [ErrorNotesTrend]               NVARCHAR (MAX)   NULL,
    [ErrorNotesValueConversion]     NVARCHAR (MAX)   NULL,
    [ErrorNotesAuthorRemark]        NVARCHAR (MAX)   NULL,
    [ErrorNotes]                    NVARCHAR (MAX)   NULL,
    [ErrorNotesCountry]             NVARCHAR (MAX)   NULL,
    [Trend_ApproverRemark]          NVARCHAR (516)   NULL,
    [Trend_AuthorRemark]            NVARCHAR (516)   NULL,
    CONSTRAINT [PK_StaginTrend] PRIMARY KEY CLUSTERED ([Id] ASC)
);













